Please note: This project is no longer active. The website is kept online for historic purposes only.
If you´re looking for a Linux driver for your Atheros WLAN device, you should continue here .

Ticket #1164 (new enhancement)

Opened 15 years ago

Last modified 15 years ago

more stats

Reported by: Massimo Vellucci <m.vellucci@unicampus.it> Assigned to:
Priority: major Milestone: version 0.9.4
Component: madwifi: driver Version: v0.9.2.1
Keywords: stats, tools Cc: vollero@ieee.org
Patch is attached: 1 Pending:

Description

The patch increases the number of stats you can retrieve calling the SIOGATHSTATS ioctl. The patch modifies the following files:

ath/if_ath.c
ath/if_athioctl.h
net80211/ieee80211_input.c
net80211/ieee80211_output.c
net80211/ieee80211_var.h

Once installed, you can monitor the following stats:

Global Stats:
number of received packets
number of sent packets

outcoming traffic flows:
number of packets
packets sizes
number of retransmissions
number of attempts
number of packets drops
number of pending packets in the queue

incoming traffic flows:
number of packets
packets sizes

you can monitor both global (outcoming/incoming) or per class statistics (VO|VI|BE|BK/uplink|downlink)

The enhancement may be used by control or monitoring applications (for instance the athmonitor I developed so far).

With the patch running, the ioctl returns also the set of WME parameters currently in use.

Regards,
Massimo

Signed-Off-By: Massimo Vellucci <m.vellucci@unicampus.it>

Attachments

madwifi-0.9.2.1-stats.diff (14.2 kB) - added by Massimo Vellucci <m.vellucci@unicampus.it> on 02/22/07 19:25:38.
patch increasing the number of stats you can obtain using ioctl

Change History

02/22/07 19:25:38 changed by Massimo Vellucci <m.vellucci@unicampus.it>

  • attachment madwifi-0.9.2.1-stats.diff added.

patch increasing the number of stats you can obtain using ioctl

(in reply to: ↑ description ) 03/23/07 17:09:34 changed by anonymous

Replying to Massimo Vellucci <m.vellucci@unicampus.it>:

The patch increases the number of stats you can retrieve calling the SIOGATHSTATS ioctl. The patch modifies the following files: ath/if_ath.c
ath/if_athioctl.h
net80211/ieee80211_input.c
net80211/ieee80211_output.c
net80211/ieee80211_var.h
Once installed, you can monitor the following stats: Global Stats:
number of received packets
number of sent packets
outcoming traffic flows:
number of packets
packets sizes
number of retransmissions
number of attempts
number of packets drops
number of pending packets in the queue
incoming traffic flows:
number of packets
packets sizes
you can monitor both global (outcoming/incoming) or per class statistics (VO|VI|BE|BK/uplink|downlink) The enhancement may be used by control or monitoring applications (for instance the athmonitor I developed so far). With the patch running, the ioctl returns also the set of WME parameters currently in use. Regards,
Massimo Signed-Off-By: Massimo Vellucci <m.vellucci@unicampus.it> Is there a patch for version v 0.9.3?

(in reply to: ↑ description ) 03/26/07 11:19:45 changed by anonymous

Replying to Massimo Vellucci <m.vellucci@unicampus.it>:

The patch increases the number of stats you can retrieve calling the SIOGATHSTATS ioctl. The patch modifies the following files: ath/if_ath.c
ath/if_athioctl.h
net80211/ieee80211_input.c
net80211/ieee80211_output.c
net80211/ieee80211_var.h
Once installed, you can monitor the following stats: Global Stats:
number of received packets
number of sent packets
outcoming traffic flows:
number of packets
packets sizes
number of retransmissions
number of attempts
number of packets drops
number of pending packets in the queue
incoming traffic flows:
number of packets
packets sizes
you can monitor both global (outcoming/incoming) or per class statistics (VO|VI|BE|BK/uplink|downlink) The enhancement may be used by control or monitoring applications (for instance the athmonitor I developed so far). With the patch running, the ioctl returns also the set of WME parameters currently in use. Regards,
Massimo Signed-Off-By: Massimo Vellucci <m.vellucci@unicampus.it>

Can I have a patch similar for version 0.9.3?

03/26/07 12:39:04 changed by mrenzmann

  • milestone set to version 0.9.4.